//
//  BSDebugObject.h
//  XcodeInspectors
//
//  Created by Karsten Kusche on 23.02.07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface BSDebugObject : NSObject <NSCoding> {
	id targetObject;
	NSString* longDescription;
	NSString* shortDescription;
	NSNumber* objectPointer;
}

+ (id)debugObjectWith:(id)object;
- (id)initWithObject:(id)object;
- (NSString*)shortDescription;
- (id)targetObject;
- (NSNumber*)objectPointer;

@end
