//
//  NSObjectExt.h
//  XcodeInspectors
//
//  Created by Karsten Kusche on 03.02.07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

typedef struct {
	size_t size;
	void* data;
} BSDebugDataStructure;

extern BSDebugDataStructure* _NSDataForDebugger(NSObject* object);

@interface NSObject (BSDebugExtension)

+ (BSDebugDataStructure*)debugData;
- (BSDebugDataStructure*)debugData;
+ (NSString*) shortDescription;
- (NSString*) shortDescription;
+ (Class)debuggerObjectClass;

@end

