//
//  GDB_AdapterExtension.m
//  XcodeInspectors
//
//  Created by Karsten Kusche on 28.02.07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import "GDB_AdapterExtension.h"
#import "BS_CallForDebugDataSequence.h"
#import "BS_LoadDebugExtensionSequence.h"

@implementation PBXGDB_Adaptor (BSInspector)

- (void)requestBSDebugDataFor:(NSString*)pointerValue
{
	// schedules the sequence to load the debug data from the target app
	[[self sequenceController] enqueueCommandSequence:[[BS_LoadDebugExtensionSequence alloc] init]];
	[[self sequenceController] enqueueCommandSequence:[[BS_CallForDebugDataSequence alloc] initWithValue:pointerValue]];
}

@end
